package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.SysUser;
import com.huimv.receive.entity.pojo.UserPagePojo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-09-04
 */
public interface ISysUserService extends IService<SysUser> {

    Result pageAll(UserPagePojo userPagePojo);

    Result listWorkLocation(Map map);

    Result pageAccount(UserPagePojo userPagePojo);

    Result addAccount(Map<String, Object> map);

    Result list(Map map);

    Result updateAccount(Map<String, Object> map);

    Result removeAccount(Map<String, String> map);

    Result userAgeAndGender(Map<String, String> map);

    Result userJob(Map<String, String> map);

    //导出
    void printUser(HttpServletResponse httpServletRequest, Map<String, String> paramsMap) throws Exception;

    Result uploadUserImg(MultipartFile imgUrl, Integer id) throws IOException;
}
